changeset 707:b95220513049

Bump qemu to 0.10.2 (fixes sh4 but not powerpc), and clean up MANIFEST file creation.
author Rob Landley <rob@landley.net>
date Wed, 08 Apr 2009 00:42:39 -0500
parents 4ff4cf117082
children a0db930af698
files download.sh sources/patches/qemu-sh4-append.patch
diffstat 2 files changed, 5 insertions(+), 36 deletions(-) [+]
line wrap: on
line diff
--- a/download.sh	Tue Apr 07 21:30:08 2009 -0500
+++ b/download.sh	Wed Apr 08 00:42:39 2009 -0500
@@ -99,8 +99,8 @@
 # but the following packages are not cross compiled for the target, and thus
 # do not wind up in the system image.)
 
-URL=http://download.savannah.nongnu.org/releases/qemu/qemu-0.10.1.tar.gz \
-SHA1=d1cafd4751e4feee606feb844dec4762713b2b69 \
+URL=http://download.savannah.nongnu.org/releases/qemu/qemu-0.10.2.tar.gz \
+SHA1=78f595a1fcb52f8bb2774f2d658a803530560b9c \
 download || dienow
 
 URL=http://downloads.sourceforge.net/genext2fs/genext2fs-1.4.1.tar.gz &&
@@ -122,6 +122,8 @@
 
 echo === Got all source.
 
+rm -f "$SRCDIR"/MANIFEST
+
 cleanup_oldfiles
 
 # Create a MANIFEST file listing package versions.
@@ -130,7 +132,7 @@
 # information for the FWL build scripts and any USE_UNSTABLE packages, so
 # use $OLDPATH.  (Most likely we haven't run host-tools.sh yet, but just
 
-PATH="$OLDPATH" do_readme | tee "$SRCDIR"/MANIFEST
+PATH="$OLDPATH" do_readme > "$SRCDIR"/MANIFEST || dienow
 
 # Set color back to normal.
 echo -e "\e[0m"
--- a/sources/patches/qemu-sh4-append.patch	Tue Apr 07 21:30:08 2009 -0500
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,33 +0,0 @@
-diff -ru qemu-0.10.0/hw/r2d.c qemu-0.10.0.new/hw/r2d.c
---- qemu-0.10.0/hw/r2d.c	2009-03-04 16:54:45.000000000 -0600
-+++ qemu-0.10.0.new/hw/r2d.c	2009-03-18 12:42:25.000000000 -0500
-@@ -233,20 +233,25 @@
-         pci_nic_init(pci, &nd_table[i], (i==0)? 2<<3: -1, "rtl8139");
- 
-     /* Todo: register on board registers */
--    {
-+    if (kernel_filename) {
-       int kernel_size;
-       /* initialization which should be done by firmware */
-       stl_phys(SH7750_BCR1, 1<<3); /* cs3 SDRAM */
-       stw_phys(SH7750_BCR2, 3<<(3*2)); /* cs3 32bit */
- 
--      kernel_size = load_image(kernel_filename, phys_ram_base);
-+      if (kernel_cmdline) {
-+          kernel_size = load_image(kernel_filename, phys_ram_base + 0x80000);
-+          env->pc = (SDRAM_BASE + 0x80000) | 0xa0000000;
-+          pstrcpy(phys_ram_base + 0x10100, 256, kernel_cmdline);
-+      } else {
-+          kernel_size = load_image(kernel_filename, phys_ram_base);
-+          env->pc = SDRAM_BASE | 0xa0000000; /* Start from P2 area */
-+      }
- 
-       if (kernel_size < 0) {
-         fprintf(stderr, "qemu: could not load kernel '%s'\n", kernel_filename);
-         exit(1);
-       }
--
--      env->pc = SDRAM_BASE | 0xa0000000; /* Start from P2 area */
-     }
- }
-